
Hooks Manager - Bug #1753

Redmine restart needed after first ads published

20 May 2011 13:29 - Andriy Lesyuk

Status: Closed Start date: 20 May 2011

Priority: Major Due date: 17 Jun 2011

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.0.1   

Redmine version:  External issue:  

Description

When I installed the plugin on this site (of course, having restarted Redmine) and added several ads I figured out that they are not

shown... First I thought it’s due to some bug (related to older version of Redmine on this site) but after restart ads started to work...

At the moment have not tried yet if new ads are going to be shown without restart but this is a bug anyway!..

Have no idea why this can happen... Anyway one more restart (if only once

1

) is not a big problem so setting priority to “Trivial”.

1

 needs to be tested

History

#1 - 08 Jun 2011 11:22 - Andriy Lesyuk

- Status changed from Incomplete to Open

- Assignee set to Andriy Lesyuk

- Priority changed from Insignificant to Major

Confirming! Any change need restart! Weird... Maybe caching?..

#2 - 17 Jun 2011 11:04 - Andriy Lesyuk

- Target version changed from 1.0.0 to 0.0.1

#3 - 17 Jun 2011 11:46 - Andriy Lesyuk

Some research results:

For just added HTML to appear Redmine needs to be restarted;

Changing HTML applies immediately;

Removing does not work - HTML is still shown;

Adding just removed HTML works (but seems there were a little “delay”)...

#4 - 17 Jun 2011 18:58 - Andriy Lesyuk

I got it!.. Result returned by respond_to? gets cached... Thinking what to do: a) either disable this cache or b) always return true for supported hooks...

#5 - 17 Jun 2011 19:43 - Andriy Lesyuk

- Due date set to 17 Jun 2011

- Status changed from Open to Closed

- % Done changed from 0 to 100
